edu.wpi.cscore

## Class VideoEvent

- java.lang.Object
- - edu.wpi.cscore.VideoEvent

-     public class VideoEvent
      extends java.lang.Object

  Video event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VideoEvent.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `VideoEvent.Kind` | `kind`
    `VideoMode` | `mode`
    `java.lang.String` | `name`
    `int` | `propertyHandle`
    `VideoProperty.Kind` | `propertyKind`
    `int` | `sinkHandle`
    `int` | `sourceHandle`
    `int` | `value`
    `java.lang.String` | `valueStr`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoEvent.Kind` | `getKindFromInt(int kind)`
    `VideoProperty` | `getProperty()`
    `VideoSink` | `getSink()`
    `VideoSource` | `getSource()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kind

          public VideoEvent.Kind kind

    - #### sourceHandle

          public int sourceHandle

    - #### sinkHandle

          public int sinkHandle

    - #### name

          public java.lang.String name

    - #### mode

          public VideoMode mode

    - #### propertyHandle

          public int propertyHandle

    - #### propertyKind

          public VideoProperty.Kind propertyKind

    - #### value

          public int value

    - #### valueStr

          public java.lang.String valueStr

  - ### Method Detail

    - #### getKindFromInt

          public static VideoEvent.Kind getKindFromInt(int kind)

    - #### getSource

          public VideoSource getSource()

    - #### getSink

          public VideoSink getSink()

    - #### getProperty

          public VideoProperty getProperty()